edu.wpi.cscore

## Class HttpCamera

- java.lang.Object
- - edu.wpi.cscore.VideoSource
  - - edu.wpi.cscore.VideoCamera
    - - edu.wpi.cscore.HttpCamera

- Direct Known Subclasses:
    AxisCamera

      public class HttpCamera
      extends VideoCamera

  A source that represents a MJPEG-over-HTTP (IP) camera.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HttpCamera.HttpCameraKind`

    - ### Nested classes/interfaces inherited from class edu.wpi.cscore.VideoCamera

      `VideoCamera.WhiteBalance`

    - ### Nested classes/interfaces inherited from class edu.wpi.cscore.VideoSource

      `VideoSource.Kind`

  - ### Field Summary

    - ### Fields inherited from class edu.wpi.cscore.VideoSource

      `m_handle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpCamera(java.lang.String name, java.lang.String url)` Create a source for a MJPEG-over-HTTP (IP) camera.
    `HttpCamera(java.lang.String name, java.lang.String[] urls)` Create a source for a MJPEG-over-HTTP (IP) camera.
    `HttpCamera(java.lang.String name, java.lang.String[] urls, HttpCamera.HttpCameraKind kind)` Create a source for a MJPEG-over-HTTP (IP) camera.
    `HttpCamera(java.lang.String name, java.lang.String url, HttpCamera.HttpCameraKind kind)` Create a source for a MJPEG-over-HTTP (IP) camera.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpCamera.HttpCameraKind` | `getHttpCameraKind()` Get the kind of HTTP camera.
    `static HttpCamera.HttpCameraKind` | `getHttpCameraKindFromInt(int kind)`
    `java.lang.String[]` | `getUrls()` Get the URLs used to connect to the camera.
    `void` | `setUrls(java.lang.String[] urls)` Change the URLs used to connect to the camera.

    - ### Methods inherited from class edu.wpi.cscore.VideoCamera

      `getBrightness, setBrightness, setExposureAuto, setExposureHoldCurrent, setExposureManual, setWhiteBalanceAuto, setWhiteBalanceHoldCurrent, setWhiteBalanceManual`

    - ### Methods inherited from class edu.wpi.cscore.VideoSource

      `enumerateProperties, enumerateSinks, enumerateSources, enumerateVideoModes, equals, free, getDescription, getHandle, getKind, getKindFromInt, getLastFrameTime, getName, getProperty, getVideoMode, hashCode, isConnected, isValid, setFPS, setPixelFormat, setResolution, setVideoMode, setVideoMode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpCamera

          public HttpCamera(java.lang.String name,
                            java.lang.String url)

      Create a source for a MJPEG-over-HTTP (IP) camera.
      Parameters:
        `name` - Source name (arbitrary unique identifier)
        `url` - Camera URL (e.g. "http://10.x.y.11/video/stream.mjpg")

    - #### HttpCamera

          public HttpCamera(java.lang.String name,
                            java.lang.String url,
                            HttpCamera.HttpCameraKind kind)

      Create a source for a MJPEG-over-HTTP (IP) camera.
      Parameters:
        `name` - Source name (arbitrary unique identifier)
        `url` - Camera URL (e.g. "http://10.x.y.11/video/stream.mjpg")
        `kind` - Camera kind (e.g. kAxis)

    - #### HttpCamera

          public HttpCamera(java.lang.String name,
                            java.lang.String[] urls)

      Create a source for a MJPEG-over-HTTP (IP) camera.
      Parameters:
        `name` - Source name (arbitrary unique identifier)
        `urls` - Array of Camera URLs

    - #### HttpCamera

          public HttpCamera(java.lang.String name,
                            java.lang.String[] urls,
                            HttpCamera.HttpCameraKind kind)

      Create a source for a MJPEG-over-HTTP (IP) camera.
      Parameters:
        `name` - Source name (arbitrary unique identifier)
        `urls` - Array of Camera URLs
        `kind` - Camera kind (e.g. kAxis)

  - ### Method Detail

    - #### getHttpCameraKindFromInt

          public static HttpCamera.HttpCameraKind getHttpCameraKindFromInt(int kind)

    - #### getHttpCameraKind

          public HttpCamera.HttpCameraKind getHttpCameraKind()

      Get the kind of HTTP camera. Autodetection can result in returning a different value than the camera was created with.

    - #### setUrls

          public void setUrls(java.lang.String[] urls)

      Change the URLs used to connect to the camera.

    - #### getUrls

          public java.lang.String[] getUrls()

      Get the URLs used to connect to the camera.